入庫明細取得
GET
/receiving/{receiving_id}/details
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/receiving/4/details?fields=receivingDetailId%2CproductId&sort=receivingDetailId&limit=10&page=2&product_id=8000001&status=1';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/receiving/4/details?fields=receivingDetailId%2CproductId&sort=receivingDetailId&limit=10&page=2&product_id=8000001&status=1'入庫明細情報を取得します。
対象プラン
- リテールビジネス
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”receiving_id
required
string
入庫ID
Example
4Query Parameters
Section titled “Query Parameters”fields
array
検索パラメータ(カンマ区切りで指定可)
Response項目を指定可能
※一部項目(withで指定する項目、2階層目以降の項目)については指定不可
Example
receivingDetailId,productIdsort
string
並び順(カンマ区切りで指定可)
指定可能なパラメータ
- receivingDetailId:入庫明細ID
- productId:商品ID
- updDateTime:更新日時:登録時・更新時の日時。[YYYY-MM-DDThh:mm:ssTZD]
Example
receivingDetailIdlimit
integer
上限数
Example
10page
integer
ページ
Example
2product_id
string
商品ID
Example
8000001status
string
状態:商品の検品状況を設定。 0:未検品、1:検品完了
Example
1Responses
Section titled “Responses”取得成功
Media typeapplication/json
Array<object>
object
receivingDetailId
入庫明細ID
string
receivingId
入庫ID
string
productId
商品ID
string
scheduledQuantity
予定数:入庫予定数を設定。
string
inspectionQuantity
検品数:検品数(入庫した数)を設定。
string
stockoutQuantity
欠品数
string
stockoutReason
欠品理由
string
inspectionDate
検品日:[YYYY-MM-DD]
string
rfidTags
RFIDタグリスト。入庫検品分。
Array<string>
status
状態:商品の検品状況を設定。 0:未検品、1:検品完了
string
insDateTime
作成日時:登録時の日時。[YYYY-MM-DDThh:mm:ssTZD]
string
updDateTime
更新日時:登録時・更新時の日時。[YYYY-MM-DDThh:mm:ssTZD]
string
Example
[ { "receivingDetailId": "4", "receivingId": "4", "productId": "8000001", "scheduledQuantity": "5", "inspectionQuantity": "2", "stockoutQuantity": "3", "stockoutReason": "欠品理由", "inspectionDate": "2025-01-01", "rfidTags": [ "RFID001", "RFID002" ], "status": "2", "insDateTime": "2025-01-01T00:00:00+09:00", "updDateTime": "2025-01-01T00:01:00+09:00" }]